org.eclipse.emf.cdo.ui.widgets

## Class TimeSlider

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scale
      - - org.eclipse.emf.cdo.ui.widgets.TimeSlider

- All Implemented Interfaces:
    java.util.EventListener, ITreeViewerListener, IListener, Drawable

      public class TimeSlider
      extends Scale
      implements IListener, ITreeViewerListener

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.swt.widgets.Control

      `handle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSlider(Composite parent, int style)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkSubclass()`
    `void` | `connect(CDOView view, TreeViewer viewer)`
    `void` | `disconnect()`
    `void` | `dispose()`
    `long` | `getTimeStamp()`
    `void` | `notifyEvent(IEvent event)`
    `void` | `setTimeStamp(long timeStamp)`
    `protected void` | `timeStampChanged(long timeStamp)`
    `void` | `treeCollapsed(TreeExpansionEvent event)`
    `void` | `treeExpanded(TreeExpansionEvent event)`

    - ### Methods inherited from class org.eclipse.swt.widgets.Scale

      `addSelectionListener, getIncrement, getMaximum, getMinimum, getPageIncrement, getSelection, removeSelectionListener, setIncrement, setMaximum, setMinimum, setPageIncrement, setSelection`

    - ### Methods inherited from class org.eclipse.swt.widgets.Control

      `addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFocus, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

    - ### Methods inherited from class org.eclipse.swt.widgets.Widget

      `addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.graphics.Drawable

      `isAutoScalable`

- - ### Constructor Detail

    - #### TimeSlider

          public TimeSlider(Composite parent,
                            int style)

  - ### Method Detail

    - #### getTimeStamp

          public final long getTimeStamp()

    - #### setTimeStamp

          public void setTimeStamp(long timeStamp)

    - #### connect

          public void connect(CDOView view,
                              TreeViewer viewer)

    - #### disconnect

          public void disconnect()

    - #### notifyEvent

          public void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### treeExpanded

          public void treeExpanded(TreeExpansionEvent event)

      Specified by:
        `treeExpanded` in interface `ITreeViewerListener`

    - #### treeCollapsed

          public void treeCollapsed(TreeExpansionEvent event)

      Specified by:
        `treeCollapsed` in interface `ITreeViewerListener`

    - #### dispose

          public void dispose()

      Overrides:
        `dispose` in class `Widget`

    - #### timeStampChanged

          protected void timeStampChanged(long timeStamp)

    - #### checkSubclass

          protected void checkSubclass()

      Overrides:
        `checkSubclass` in class `Widget`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html